Bug 30994 - Typo: item was on loan. couldn't be returned.
Summary: Typo: item was on loan. couldn't be returned.
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-06-18 20:21 UTC by Katrin Fischer
Modified: 2022-06-25 18:31 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This updates some error messages for the inventory tool to make them more readable and consistent: punctuation fixed, capitalization made more consistent, and language corrections ("check in" instead of "return").
Version(s) released in:
22.11.00


Attachments
Bug 30994: Typo: item was on loan. couldn't be returned. (1.99 KB, patch)
2022-06-20 13:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30994: Typo: item was on loan. couldn't be returned. (2.04 KB, patch)
2022-06-21 01:20 UTC, David Nind
Details | Diff | Splinter Review
Bug 30994: Typo: item was on loan. couldn't be returned. (2.10 KB, patch)
2022-06-25 15:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-06-18 20:21:53 UTC
There is a typo here:

koha-tmpl/intranet-tmpl/prog/en/modules/tools/inventory.tt:63
item was on loan. couldn't be returned.
Comment 1 Owen Leonard 2022-06-20 13:32:40 UTC
Created attachment 136372 [details] [review]
Bug 30994: Typo: item was on loan. couldn't be returned.

This patch updates some language in the inventory template to make it
readable and consistent: Punctuation fixed, capitalization made more
consistent, language corrections ("check in" instead of "return").

To test you can try to apply the patch and trigger the various errors in
the inventory interface, but it's probably enough to visually confirm
the changes in the patch.
Comment 2 David Nind 2022-06-21 01:20:33 UTC
Created attachment 136385 [details] [review]
Bug 30994: Typo: item was on loan. couldn't be returned.

This patch updates some language in the inventory template to make it
readable and consistent: Punctuation fixed, capitalization made more
consistent, language corrections ("check in" instead of "return").

To test you can try to apply the patch and trigger the various errors in
the inventory interface, but it's probably enough to visually confirm
the changes in the patch.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2022-06-21 01:22:23 UTC
I took the easy way out, and just checked the text in the patch.

I did test the errors I could figure out how to generate: barcode not found, and withdrawn. These look okay in context.
Comment 4 Katrin Fischer 2022-06-25 15:36:26 UTC
Created attachment 136553 [details] [review]
Bug 30994: Typo: item was on loan. couldn't be returned.

This patch updates some language in the inventory template to make it
readable and consistent: Punctuation fixed, capitalization made more
consistent, language corrections ("check in" instead of "return").

To test you can try to apply the patch and trigger the various errors in
the inventory interface, but it's probably enough to visually confirm
the changes in the patch.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Tomás Cohen Arazi 2022-06-25 18:31:40 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!